Skip to main content
GET
Retrieve a Monitor Event's Details
Monitor events include a detailed set of data from the corresponding evaluation. Poll this endpoint for these details, plus the status, input parameters, and timestamps.

When waiting on the completion of an event, you can poll this endpoint until the status is completed, then all the evaluation details will be available.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

monitor_id
string
required

The ID of the monitor associated with this event.

event_id
string
required

The ID of the requested monitor event.

Response

Monitor event retrieved successfully

event_id
string

A unique monitor event ID.

Example:

"evt_xxxxxxxxxxxx"

monitor_id
string

Monitor ID associated with this event.

Example:

"mon_xxxxxxxxxxxx"

timestamp
string<date-time>

The time the monitor event was created in UTC.

Example:

"2025-01-15T10:30:00Z"

status
enum<string>

Status of the monitor event's evaluation.

Available options:
in_progress,
completed,
canceled,
queued,
failed
Example:

"completed"

model_input
object

The model input used to create the monitor event.

Example:
model_output
string

The output evaluated by the monitor event.

Example:

"I am good, thank you!"

eval_time
string

The time spent on the evaluation in seconds.

Example:

10.5

run_mode
enum<string>

The run mode used to evaluate the monitor event.

Available options:
super_fast,
fast,
precision,
precision_codex,
precision_max,
precision_max_codex
Example:

"fast"

nametag
string

A human-readable tag for the monitor event.

Example:

"Test Event"

evaluation_result
object

The result of the evaluation of the monitor event.

Example:
guardrail_metrics
string[]

The guardrail metrics evaluated by the monitor event.

The name of the guardrail metric.

capabilities
object[]

The extended AI capabilities associated with the monitor event. Can be web_search, file_search, and/or context_awareness.

files
object[]

The files associated with the monitor event.